# Add, Delete, Modify Routing Policy - ModifyRouteRule

## Overview

Add, Delete, Modify Routing Policy






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ModifyRouteRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **RouteTableId** | string | Obtained through DescribeRouteTable |**Yes**|
| **RouteRule.N** | string | Format: RouteRuleId \| Destination Subnet \| Next Hop Type (Supports INSTANCE, VIP) \| Next Hop \| Priority (Reserved field, just fill in 0) \| Remarks \| Add/Delete/Update Flag. "Add" Example: test_id \| 10.8.0.0/16 \| instance \| uhost-xd8ja \| 0 \| Default Route Rule\| add (Fill in any non-empty string for the RouteRuleId to be added). "Delete" Example: routerule-xk3jxa \| 10.8.0.0/16 \| instance \| uhost-xd8ja \| 0 \| Default Route Rule\| delete (RouteRuleId comes from DescribeRouteTable). "Update" Example: routerule-xk3jxa \| 10.8.0.0/16 \| instance \| uhost-cjksa2 \| 0 \| Default Route Rule\| update (RouteRuleId comes from DescribeRouteTable). |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.zosoc.com/?Action=ModifyRouteRule
&Region=qdFTcuIX
&ProjectId=ivrBxzEB
&RouteTableId=LjMBHdyz
&RouteRule.n=PXrUoFBk
```

### Response Example
    
```json
{
  "Action": "ModifyRouteRuleResponse",
  "RetCode": 0
}
```





